> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Gitea Repositories

> List repositories accessible with a Gitea token



## OpenAPI

````yaml /openapi.json post /gitea-integration/repositories
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /gitea-integration/repositories:
    post:
      tags:
        - Gitea
      summary: List Gitea Repositories
      description: List repositories accessible with a Gitea token
      operationId: listGiteaRepositories
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                baseUrl:
                  type: string
                  minLength: 1
                accessToken:
                  type: string
                  minLength: 1
              required:
                - baseUrl
                - accessToken
      responses:
        '200':
          description: Repositories
          content:
            application/json:
              schema:
                type: object
                properties:
                  repositories:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        name:
                          type: string
                        full_name:
                          type: string
                        owner:
                          type: object
                          properties:
                            login:
                              type: string
                          required:
                            - login
                        private:
                          type: boolean
                        html_url:
                          type: string
                      required:
                        - id
                        - name
                        - full_name
                        - owner
                        - private
                        - html_url
                required:
                  - repositories
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````